Make APISandbox useable on mobile
Open, Needs TriagePublic


  • The JavaScript and CSS should load on mobile
  • The display should adapt for mobile screens
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2016, 4:19 PM

Change 315698 had a related patch set uploaded (by Jdlrobson):
Enable APISandbox code on mobile

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Oct 13 2016, 5:11 PM

Change 315698 merged by jenkins-bot:
Enable APISandbox code on mobile

Krenair added subscribers: Anomie, Krenair.

@Jdlrobson, @Anomie: is the first item now done?

Anomie added a comment.Jan 9 2017, 5:03 PM

Probably, although I don't know much about mobile JS.

Well it loads at, so I'm going to tick the box

Krenair updated the task description. (Show Details)Jan 9 2017, 5:05 PM

Looks like the second part of the task needs some design input. @Nirzar how can we make look nice on mobile screens?

FYI this is intentionally not part of the reading web backlog and probably best addressed by OOjs UI/UI standardisation team since it uses a widget we don't use in the reading web team.

Anomie moved this task from Needs Review to Done on the MediaWiki-API board.Jan 9 2018, 3:29 PM
Volker_E moved this task from Unsorted to OOUI on the UI-Standardization board.Mon, Mar 19, 5:11 AM